syntax = "proto3";
option go_package = ".;pb";

//用户扩展数据
message DBUserExpand {
  string id = 1;                 //主键id
  string uid = 2;                //用户id
  int64 lastreadnotiftime = 3;   //最后阅读公告时间
  int64 lastInitdataTime = 4;    //上次初始数据时间
  uint32 initdataCount = 5;      //今日初始累计次数
  int32 chatchannel = 6;         //跨服聊天频道
  int32 modifynameCount = 7;     //修改昵称次数
  map<string, int32> expitem = 8; //该英雄重复获取后所获得的升星道具
  int32 activeday = 11;          //日活跃度
  int32 activeweek = 12;         //周活跃度
  string sign = 13;              //用户签名
  int32 friendPoint = 14;        //@go_tags(`bson:"friendPoint"`) 友情点
  int32 friendPointID = 15; //@go_tags(`bson:"friendPointID"`) 每日获赠友情点
  int32 friendPointOD = 16; //@go_tags(`bson:"friendPointOD"`) 每日送出友情点
  int32 loginAddCount = 19; //@go_tasgs(`bson:"loginAddCount"`) 累计登录天数
  int32 loginContinueCount =
      20; //@go_tasgs(`bson:"loginContinueCount"`)  连续登录天数
  int32 rtaskId = 21; //@go_tags(`bson:"rtaskId"`)  当前完成的随机任务ID
  repeated string teamHeroIds = 22; //@go_tags(`bson:"teamHeroIds"`) 阵容英雄IDs
  string sociatyId = 23;            //@go_tags(`bson:"sociatyId"`) 公会ID
  int64 sociatyCd = 24;   //@go_tags(`bson:"sociatyCd"`) 主动退出CD
  int32 guildcoin = 25; //@go_tags(`bson:"guildcoin"`) 公会币
  int32 arenacoin = 26;//@go_tags(`bson:"arenacoin"`) 竞技场币
  int32 physicalbuynum = 27; //@go_tags(`bson:"physicalbuynum"`)体力购买次数
  int64 physicalbuyLasttime = 28;//@go_tags(`bson:"physicalbuyLasttime"`)最后购买体力事件
  int32 buyunifiedticket = 29; //@go_tags(`bson:"buyunifiedticket"`)购买统一入场门票次数
  int64 lasttimeunifiedticket = 30; //@go_tags(`bson:"lasttimeunifiedticket"`)最后购买统一入场门票时间
  int64 recovertimeunifiedticket = 31;//@go_tags(`bson:"recovertimeunifiedticket"`)同意门票恢复时间
  int32 sociatyTicketBuyNum = 32;//@go_tags(`bson:"sociatyTicketBuyNum"`) 公会boss挑战券购买次数
  int32 sociatyTicket = 33;//@go_tags(`bson:"sociatyTicket"`) 公会boss挑战券数量
  map<int32,int32> mline = 34;//@go_tags(`bson:"mline"`) 主线关卡最大进度 key难度val是关卡ID
  repeated int32 suiteId = 35;//@go_tags(`bson:"suiteId"`)  套装Id
  int32 globalbuff = 36;  //@go_tags(`bson:"globalbuff"`)  全局buff
  map<int32, int32> race = 37; // key 阵营ID 1~4 value 总好感度
}